<div class="content" #demoYouTubePlayer>
    <youtube-player [videoId]="yid" suggestedQuality="highres" style="margin: 10px auto;"
        [width]="videoWidth" [height]="videoHeight"
        (stateChange)="stateChange($event)" (ready)="ready($event)">
    </youtube-player>
    <mat-card #card>
        <mat-list class="example-list">
            <p>Construindo Aplicacoes com o novo Angular</p>
            <ng-container *ngFor="let lesson of lessons; let i = index">
                <mat-list-item (click)="openLesson(lesson.youtubeId)">
                    <span>{{ i + 1 }} - {{ lesson.title }}</span>
                </mat-list-item>
                <mat-divider *ngIf="i + 1 !== lessons?.length"></mat-divider>
            </ng-container>
        </mat-list>
    </mat-card>
</div>